// 控制jq
$(function(){
	$(window).scroll(function(){
	 	if($(document).scrollTop() > 10){
	 		$('header').addClass('fixed',300);
	 	}else{
	 		$('header').removeClass('fixed',300);
	 	}
	 	// if($(document).scrollTop() > 400){
	 	// 	$('header').addClass('headerTop',300);
	 	// }else{
	 	// 	$('header').removeClass('headerTop',300);
	 	// }
	 });
	
	$('#g-map iframe').css('height',$('.bookList').eq(0).height()+'px');
	$("[data-fancybox]").fancybox({
		youtube : { controls : 0,showinfo : 0 },
		vimeo : { color : 'f00' }
	});
	
	
	$('.otherslide').slick({
		slidesToShow: 3,
		slidesToScroll: 1,
		autoplay: true,
		arrows: false,
        responsive: [{
            breakpoint: 1024,
			settings: { slidesToShow: 2,slidesToScroll: 1, }
			},{
				breakpoint: 640,
				settings: { slidesToShow: 1,slidesToScroll: 1, }
            
            }]
	});



	var w = $(window).width();
	if( w > 480){
		wow = new WOW({
			animateClass: 'animated',
			offset:       200,
			callback:     function(box) {
				console.log("WOW: animating <" + box.tagName.toLowerCase() + ">")
			}
		});
		wow.init();
	}else{
		if(w < 1025){
			$('#g-map iframe').css('height', 'auto');
		}
	}

	$("#SearchBtn").click(function(){
		var hasopen = $("#translate").hasClass("open");
		if(hasopen){
			$("#translate").removeClass("open");
			$("#translate").addClass("close");
		}else{
			$("#translate").addClass("open");
			$("#translate").removeClass("close");
		}
	
	})

	$('#openSearBox').click(function(){
		if($(this).children('i').eq(0).attr('class') == 'fa fa-search'){
			$('header').attr('id','openSearch');
			$(this).children('i').attr('class','fa fa-remove');
			$('#hSearch').children('input[name="kw"]').focus();
		}else{
			$('header').attr('id','');
			$(this).children('i').attr('class','fa fa-search');
		}
	});
	$('#goSearch').click(function(){
		$('#hSearch').submit();
	});
	$('#openMenu').click(function(){
		$(".wrapper").toggleClass("openwrap");
		$(".wrapper").toggleClass("menuActive");
	});

	$('#sideMenu').click(function(){
		$("#arrowdown").toggleClass("active");
		$("#sideNav .mobnav ul.Cate").toggle();
	});

	$('header nav .pc li b').click(function(){
		var ul = $(this).parent('p').parent('li').siblings();
		ul.children('div').slideUp("slow");
		ul.children().children().children('i').attr('class','fa fa-plus');
		if($(this).children('i').eq(0).attr('class') == 'fa fa-plus'){
			$(this).parent().next().slideToggle(300);
			$(this).children('i').attr('class','fa fa-minus');
			$(this).parent().parent().addClass('action');
		}else{
			$(this).parent().next().slideUp("slow");
			$(this).children('i').attr('class','fa fa-plus');
			$(this).parent().parent().removeClass('action');
		}
	});

	var sw = $(window).width();
	if(sw < 1025){
		$('#sideNav h2.sideTitle').click(function(){
			var $self = $(this);
			$self.next('div.mobnav').slideToggle('fast', function(){
				$self.toggleClass('current');
			});
		});
		$('#g-map iframe').css('height', '300px');
	}else{
		var sideNavH = ($('#sideNav').eq(0).height()) + 200;
		$('#articleBox').css('min-height', sideNavH+'px');
		$('#g-map iframe').css('height', $('.productsList').eq(0).height()+'px');
	}
	$('#webSeo .seo').marquee({
		speed: 100000,
		gap: 50,
		delayBeforeStart: 0,
		direction: 'left',
		duplicated: true,
		pauseOnHover: true
	});
});
function goTop(){
	$('html,body').animate({'scrollTop':0},600); //滚回顶部的时间，越小滚的速度越快~
}

